Custom fields with hidden/read-only combination displayed in Issue Edit Form

2015-03-06 21:32 - @ go2null

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.6.4   

Resolution: Fixed Affected version: 2.6.0

Description

Observed Behavior

UserA has two roles, RoleA and RoleB.

CustomFieldA is hidden from RoleB. (In Custom Field Edit form, RoleB is unchecked for Visible.)

However, CustomFieldA is visible to RoleA.

In the Workflow, CustomFieldA is set as Read-Only for RoleA.

UserA can edit TrackerA.

In the Issue Edit form, CustomFieldA is displayed. However, any input is ignored (as the Read-Only rule prevents it from being

processed.)

Desired/Expected Behavior

In the Issue Edit form, CustomFieldA should not be displayed.

Workaround

Allow RoleB to view CustomFieldA.

In the Workflow, set CustomFieldA as Read-Only for RoleB.

The UI code correctly does not display Read-Only fields.

Environment:

  Redmine version                2.6.0.stable

  Ruby version                   1.9.3-p484 (2013-11-22) [x86_64-linux]

  Rails version                  3.2.19

  Environment                    production

  Database adapter               Mysql2

Associated revisions

Revision 14137 - 2015-03-20 10:17 - Jean-Philippe Lang

Fixed that custom fields with hidden/read-only combination may be displayed on issue form (#19297).

Revision 14138 - 2015-03-20 10:51 - Jean-Philippe Lang

Merged r14137 (#19297).

Revision 14139 - 2015-03-20 10:52 - Jean-Philippe Lang

Backported r14137 (#19297).

History

#1 - 2015-03-15 16:20 - Jean-Philippe Lang

- Subject changed from Hidden custom fields displayed in Issue Edit Form to Custom fields with hidden/read-only combination displayed in Issue Edit

Form

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

#2 - 2015-03-20 10:52 - Jean-Philippe Lang

- Status changed from Confirmed to Closed
- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.6.4

- Resolution set to Fixed
